<script setup lang="ts">
import { useCustomerStore } from '@/Customer/stores/customer'

const customerStore = useCustomerStore()
</script>

<template>
  <v-dialog v-model:model-value="customerStore.dialogState">
    <v-card class="pa-5" :title="customerStore.titleDialog">
      <v-card-text>
        <v-container>
          <v-row>
            <v-col cols="12">
              <v-text-field v-model="customerStore.customerItem.name" label="ชื่อ"> </v-text-field>
            </v-col>
            <v-col cols="12">
              <v-text-field v-model="customerStore.customerItem.telephone" label="เบอร์โทร">
              </v-text-field>
            </v-col>
            <v-col cols="12">
              <p>วันเกิด</p>
              <v-date-picker v-model="customerStore.customerItem.birthDay"></v-date-picker>
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>

      <template #actions>
        <v-row justify="end">
          <v-btn @click="customerStore.closeDialog()"> Cancel </v-btn>
          <v-btn @click="customerStore.save()"> Save </v-btn>
        </v-row>
      </template>
    </v-card>
  </v-dialog>
</template>

<style scoped></style>
